| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorContrastManipulator Class Reference

Vertex manipulator which adjusts the contrast by the given factor. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorContrastManipulator:

List of all members.

## Public Member Functions

- SVertexColorContrastManipulator (f32 factor)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which adjusts the contrast by the given factor.

Factors over 1 increase contrast, below 1 reduce it.

Definition at line 94 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorContrastManipulator::SVertexColorContrastManipulator | ( | f32 | factor | ) | `[inline]`

Definition at line 97 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorContrastManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 98 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h